#include "mainwindow.h"
#include "ui_mainwindow.h"

#include <QFileDialog>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    QMenu* fileMenu = this->menuBar()->addMenu("&File");
    QAction* filedialog_action = fileMenu->addAction("&Open File dialog");
    connect(filedialog_action,SIGNAL(triggered()),this,SLOT(launchFileDialog()));

    QMenu* editMenu = this->menuBar()->addMenu("Edit");
    editMenu->addAction("&Cut");
    editMenu->addAction("&Copy");
    editMenu->addAction("&Paste");
    editMenu->addAction("&Custom");

    setCentralWidget(ui->label);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::launchFileDialog()
{
    QString path = QFileDialog::getExistingDirectory(0, tr("Chose a Directory"), QString(), QFileDialog::ShowDirsOnly);
    ui->label->setText(path);
}
